
<template>
  <div id="centerRight1">
    <div class="bg-color-black" >
      <div class="d-flex pt-2 pl-2">
        <span>
          <icon name="chart-line" class="text-icon"></icon>
        </span>
        <div class="d-flex">
          <span >AGV任务看板</span>
        </div>
      </div>
      <div class="d-flex jc-center body-box">
        <dv-scroll-board class="dv-scr-board" :config="config" />
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios';
export default {
  data() {
    return {
      config: {
        header: ['任务号', '起点地址', '终点地址', '任务状态','任务类型','创建时间','下发时间'],
        data: [
        ],
        rowNum: 7, //表格行数
        headerHeight: 35,
        headerBGC: '#0f1325', //表头
        oddRowBGC: '#0f1325', //奇数行
        evenRowBGC: '#171c33', //偶数行
        index: true,
        columnWidth: [50],
        align: ['center']
      }
    }
  },
  mounted() {
    this.changeTiming()
  },
  methods: {
    changeTiming() {
        this.changeNumber()
      setInterval(() => {
        this.changeNumber()
      },10800)
    },
    changeNumber() {
      this.$http.post('/api/Largescreen/Current_agvtask')
      .then(response => {
          let GetAGVTaskData = []
          if(response.data<=0){
            let data = ["<span  class='colorRed'>暂无数据</span>","<span  class='colorRed'>暂无数据</span>","<span  class='colorRed'>暂无数据</span>","<span  class='colorRed'>暂无数据</span>","<span  class='colorRed'>暂无数据</span>"]
            GetAGVTaskData.push(data)
          }else{
            response.data.forEach(element => {
            let data = [element.agv_tasknum,"<span  class='colorRed'>"+element.agv_fromaddress+"</span>" , 
            "<span  class='colorGrass'>" + element.agv_toaddress + "</span>",element.agv_taskstate,
             element.agv_tasktype]
            GetAGVTaskData.push(data)
          });
          }
          this.config.data = GetAGVTaskData;
          this.config = {
            header: ['任务号', '起点地址', '终点地址', '任务状态','任务类型'],
            data: GetAGVTaskData,
            rowNum: 10, //表格行数
            headerHeight: 35,
            headerBGC: '#0f1325', //表头
            oddRowBGC: '#0f1325', //奇数行
            evenRowBGC: '#171c33', //偶数行
            index: true,
            columnWidth: [50,100,100,100,100,100],
            align: ['center'],

          }
      })
      .catch(error => {
        console.error('请求出错：', error);
      });
    }
  }
}
</script>

<style lang="scss" scoped>
$box-height: 600px;
$box-width: 100%;

#centerRight1 {
  padding: 16px;
  padding-top: 20px;
  height: $box-height;
  width: $box-width;
  border-radius: 5px;

  .bg-color-black {
    height: $box-height - 30px;
    border-radius: 10px;
  }

  .text {
    color: #c3cbde;
  }

  .body-box {
    border-radius: 10px;
    overflow: hidden;

    .dv-scr-board {
      width: 100%;
      height: 435px;
    }
  }
}
</style>
